<?php
require_once('../../classes/body.class.php');
require_once('../../classes/db.class.php');
require_once('../../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Смена градиента');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: <a href="/billing/usl"style="text-decoration:none; color:white;">Услуги</a> :: Смена градиента</div></div></div>';
$bill = DB::$dbs->queryFetch("SELECT * FROM billing_set WHERE id = ? LIMIT 1",[1]);
if (isset($_GET['ok'])) echo '<div class="alert alert-success"role="alert">Успешно сохранено!</div>';
if (isset($_POST['prim'])) {
$color_1 = check($_POST['color_1']);
$color_2 = check($_POST['color_2']);
$color_1 = str_replace('#', '', $color_1);
$color_2 = str_replace('#', '', $color_2);
if (empty($color_1) OR empty($color_2)) {
err('Заполните все поля!');
$title->GetMenu();
$title->GetFooter();
die();
}
echo '<div class="list-group-item media">'.gradient($b['nick'],$color_1,$color_2).'</div>';
}

if (isset($_POST['add'])) {
$color_1 = check($_POST['color_1']);
$color_2 = check($_POST['color_2']);
$color_1 = str_replace('#', '', $color_1);
$color_2 = str_replace('#', '', $color_2);
if (empty($color_1) OR empty($color_2)) {
err('Заполните все поля!');
$title->GetMenu();
$title->GetFooter();
die();
}
if ($b['row'] < 3)  {
if ($b['rur'] < $bill['color']) {
err('Недостаточно средств!');
$title->GetMenu();
$title->GetFooter();
die();
}
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ? LIMIT 1", [$bill['color'],$b['id']]);
$text = 'Покупка градиента ника за [b]'.$bill['color'].' руб.[/b]';
DB::$dbs->query("INSERT INTO `billing_hist` SET `user_id` = ?, `text` = ?, `time` = ?", [$b['id'],$text,time()]);
DB::$dbs->query("UPDATE `blogger` SET `nickcolor1` = ?, `nickcolor2` = ? WHERE `id` = ? LIMIT 1", [$color_1,$color_2,$b['id']]);
}
else {
DB::$dbs->query("UPDATE `blogger` SET `nickcolor1` = ?, `nickcolor2` = ? WHERE `id` = ? LIMIT 1", [$color_1,$color_2,$b['id']]);
}
header('location: ?ok');
die();
}
echo '<div class="list-group-item media"><form action="?" method="post">'.($b['row'] < 3 ? '* Стоимость смены градиента составляет <b>'.$bill['color'].' руб.</b>':'Для пользователей со статусом <b>PRO</b> и выше услуга бесплатна!').'<br/>Начальный цвет (прим.: FF0000)<br/><input type="text" class="form-control"name="color_1"/><br/>Конечный цвет (прим.: 0000FF)<br/><input type="text" class="form-control"name="color_2"/><br/><input type="submit" name="add" class="btn btn-primary" value="Изменить"/> <input type="submit" name="prim" class="btn btn-primary" value="Примерить"/></form></div>';
$title->GetMenu();
$title->GetFooter();
?>